Changelog between 1.0.29 and 1.1.0 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.29_v1.1.0)
(Reformatted as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-plugins

  * Core
    Release v1.1.0
    pph: Fix build with older speex
    pph: include speexdsp_types.h, not speex_types.h

  * A52 Output plugin
    a52: Fix ioplug version ifdef checks

  * Arcam AV control plugin
    arcam-av: Include sys/select.h for fd_set definition

  * Automatic upmix / downmix plugins
    mix: Fix extplug version ifdef checks

  * Jack PCM plugin
    jack: Fixing a small memory leak

  * Public Parrot Hack rate converter
    pph: Fix build with older speex
    pph: include speexdsp_types.h, not speex_types.h

  * PulseAudio -> ALSA plugin
    pulse: Add 24 bit data formats to Pulse plugin.

  * Rate Converter plugins
    rate: Allow LGPL for libsamplerate commercial licensee

Changelog between 1.0.28 and 1.0.29 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.28_v1.0.29)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-plugins

  * Core
    Release v1.0.29

  * A52 Output plugin
    a52: Ignore start request if we're already running

  * Jack PCM plugin
    jack: Restore PID to jack client name when not specified explicitly

Changelog between 1.0.27 and 1.0.28 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.27.2_v1.0.28)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-plugins

  * Core
    Release v1.0.28
    Modernize configure.ac
    Add AM_MAINTAINER_MODE([enable]) to configure.in.
    Check for and include libavutil.h to avoid unresolved symbols.

  * A52 Output plugin
    a52: switch to AV_CODEC_ID identifiers
    a52: Propagate errors from hw
    a52: Add chmap support
    a52: Fix build error with the recent version
    Check for and include libavutil.h to avoid unresolved symbols.

  * Automatic upmix / downmix plugins
    upmix: Add chmap support
    vdownmix: Add chmap support

  * Jack PCM plugin
    jack: fix polling and recovering
    jack: Use jack_client_open instead of deprecated jack_client_new.
    jack: Allow to specify a client name as parameters

Changelog between 1.0.26 and 1.0.27 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.26_v1.0.27)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-plugins
  + Core
    Release v1.0.27 

  + A52 Output plugin
    a52: Fix build errors 
    a52: Add the support of recent libavcodec / libavutil 

  + PulseAudio -> ALSA plugin
    pulse: pulse_pcm_poll_revents should return 0 on success 
    pcm_pulse: set prebuf parameter according to software parameters 

Changelog between 1.0.25 and 1.0.26 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.25_v1.0.26)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-plugins
  + Core
    Release v1.0.26 

  + PulseAudio -> ALSA plugin
    pulse: Support 24-bit formats 

  + USB stream plugin
    usb_stream: Fix build with glibc 2.16 

Changelog between 1.0.24 and 1.0.25 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.24_v1.0.25)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-plugins
  +  Core
    Release v1.0.25
    pulse: Install a PulseAudio config snippet into alsa.conf.d
  +  A52 Output plugin
     a52: Fix build with older ffmpeg versions.
     a52 - Fix a52 codec with recent libavcodec updates
  +  Documentation
     pulse: Add fallback option
  +  Jack PCM plugin
     jack: Fix revents for playback
     jack: Fix hanging applications when using jack plugin
  +  PulseAudio -> ALSA plugin
     Added missing configuration files for the pulse plugin
     Set CLOEXEC flag for pipes in PulseAudio plugins
     pulse: Install a PulseAudio config snippet into alsa.conf.d
     pulse - Define a dummy PA_CHECK_VERSION() when not available
     pulse - only underrun if no more data has been written
     pulse: Set PA_CONTEXT_NOAUTOSPAWN when fallback is available
     pulse: Add fallback option
     Pulse: Fix snd_pcm_avail returning 0 in some cases

Changelog between 1.0.23 and 1.0.24 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.23_v1.0.24)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-plugins
  +  Core
          Release v1.0.24
  +  Documentation
          Fix README-jack (second channel)
  +  PulseAudio -> ALSA plugin
          pulse: Add handle_underrun option
          pulse: Fix invalid buffer pointer return value

Changelog between 1.0.22 and 1.0.23 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.22_v1.0.23)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-plugins
  +  Core
          Release v1.0.23
  +  USB stream plugin
          usb_stream: Allow user-set period-size and rate
          usb_stream: Check for NULL-ness before dereferencing

Changelog between 1.0.21 and 1.0.22 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.21_v1.0.22)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-plugins
  +  Core
          Release v1.0.22
  +  A52 Output plugin
          a52 - set channel layout with recent libavcodec
          a52 - fix 5.1 channel order with recent libavcodec
  +  Automatic upmix / downmix plugins
          upmix - Add 7.1 support

Changelog between 1.0.20 and 1.0.21 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.20_v1.0.21)
(Reformated as ASCII text)
********************************************

* alsa-plugins
  +  Core
          Release v1.0.21
          pulse: use PA_CONTEXT_IS_GOOD where applicabl
  +  Documentation
          speex - Add echo-cancelling option to speexdsp plugi
  +  OSS Mixer -> ALSA Control plugin
          oss - Add missing initialization of fragment
  +  Public Parrot Hack rate converter
          Add PCM rates query support for PCM rate plugin
  +  PulseAudio -> ALSA plugin
          pulse: immediately trigger EIO when connection is droppe
          pulse: rework object destruction paths a bi
          pulse: unify stream/context state check
          pulse: get rid of redundant state variabl
          pulse: move a couple of PCM related functions from pulse.c to pcm_pulse.
          pulse: replace manual mainloop by pa_mainloop_iterate(
          pulse: call pa_threaded_mainloop_wait() to handle spurious wakeup
          pulse: unify destruction of snd_pulse_
          pulse: use PA_CONTEXT_IS_GOOD where applicabl
          pulse: get rid of a number of assert()
          alsa-plugins/pulse: Implement 'pause'
  +  Speex PCM plugin
          speex - Add echo-cancelling option to speexdsp plugi
  +  libavcodec's resampler
          Add PCM rates query support for PCM rate plugin

Changelog between 1.0.19 and 1.0.20 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.19_v1.0.20)
(Reformated as ASCII text)
********************************************

* alsa-plugins
  +  Core
    -Fix build of pph plugin with speex-1.2rc1
    -Add Speex pre-processing plugin
    -Add arcam-av plugin
    -Release v1.0.20
  +  /Makefile.am
    -Add Speex pre-processing plugin
    -Add arcam-av plugin
    -Clean up Makefile.am
  +  Arcam AV control plugin
    -Add arcam-av plugin
    -arcam_av: Remove incorrect usage of the static SHM ID variable
    -arcam_av: Refactor control specifications to facilitate addition of "numid" optimisation
    -arcam_av: Refactor event callback to facilitate addition of "numid" optimisation
  +  Automatic upmix / downmix plugins
    -Add missing continue in config parser of pcm-upmix plugin
    -Fix build of pph plugin with speex-1.2rc1
    -Add missing continue in config parser of pcm-upmix plugin (again)
  +  Documentation
    -Add Speex pre-processing plugin
    -Add arcam-av plugin
  +  OSS Mixer -> ALSA Control plugin
    -oss: Add numid check in ctl plugin
  +  Public Parrot Hack rate converter
    -Add missing -lm to pph plugin
  +  PulseAudio -> ALSA plugin
    -pulse: Add numid check in ctl plugin
  +  Speex PCM plugin
    -Add Speex pre-processing plugin

Changelog between 1.0.18 and 1.0.19 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.18_v1.0.19)
(Reformated as ASCII text)
********************************************

* alsa-plugins
  +  Core
    -Allow opt-out from jack, pulseaudio and avcodec dependencies.
    -Add the attributes.m4 macro file from xine/lscube.
    -Check for --no-undefined linker flag and use it.
    -Release v1.0.19
  +  /Makefile.am
    -Add the attributes.m4 macro file from xine/lscube.
    -Added m4/attributes.m4 to extra dist.
  +  A52 Output plugin
    -Check for --no-undefined linker flag and use it.
  +  Alsa support for Maemo SDK (n770)
    -Cleanup flags in maemo/Makefile.am
    -[RFC] Don't use pow() for calculating a power of 2, use shift instead.
    -Make some static tables and strings constants.
    -Mark as static the functions not used outside their unit.
  +  Automatic upmix / downmix plugins
    -Make some static tables and strings constants.
  +  Jack PCM plugin
    -Check for --no-undefined linker flag and use it.
  +  PulseAudio -> ALSA plugin
    -Mark as static the functions not used outside their unit.

Changelog between 1.0.17 and 1.0.18 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.17_v1.0.18)
(Reformated as ASCII text)
********************************************

* alsa-plugins
  +  Core
    -Add usb_stream PCM plugin
    -Release v1.0.18rc1
    -Release v1.0.18rc2
    -Fix build with recent ffmpeg
    -Release v1.0.18rc3
    -Release v1.0.18
  +  /Makefile.am
    -Add usb_stream PCM plugin
  +  A52 Output plugin
    -Fix build with recent ffmpeg
  +  PulseAudio -> ALSA plugin
    -pulse - Returns errors instead of assert()
    -send both an uncork and a trigger in _start()
    -Reindent to Linux kernel style
    -Add Emacs-style /*-*- linux-c -*-*/ header comment
    -Make pulse_new() a proper C function
    -Don't modify the SIGPIPE handler
    -Call pa_context_disconnect() explicitly
    -use SNDERR instead of fprintf to print error messages
    -Support S32 sample types
    -Add trailing NUL character to snprintf output
    -Get rid of pulse_poll_revents()
    -Add more error checking
    -Remove fix for bug 0003470
    -Rework hardware parameter selection
    -A bag of minor clean ups for ctl_pulse.c
    -Make pulse_ext_callback const
    -Drop our own implementation of the poll() callbacks
    -A bag of minor clean-ups for pulse.c
    -Split out O_NONBLOCK setting into seperate function
    -Save a byte of memory
    -Adjust buffering metrics to match what PA internally uses
    -Make sure we always have a sensible channel mapping
    -Use PA_STREAM_EARLY_REQUESTS if available
    -Use S32/FLOAT32 only where available in the PA libs
    -Add const to our snd_pcm_ioplug_callback_t instances
    -Don't implement our own poll handlers, we can use the default ones
    -Remove our own poll handler implementation entirely
    -A bag of clean-ups for pcm_ctl.c
    -pulse - Start PA event loop after we have created the context
    -pulse - fix minor memory leak
    -pulse - Fix destruction order on failure
    -pulse - Fix destruction logic on failed construction
    -pulse - Fix capture problem
  +  USB stream plugin
    -Add usb_stream PCM plugin
    -Add missing noinst_HEADERS to usb_stream/Makefile.am
  +  libavcodec's resampler
    -Fix build with recent ffmpeg

Changelog between 1.0.16 and 1.0.17 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.16_v1.0.17)
(Reformated as ASCII text)
********************************************

* alsa-plugins
  +  Core
    - removed .hg* files and renamed hgcompile to gitcompile
    - Improve configure for maemo plugin
    - Release v1.0.17rc2
    - Fix invalid withval in configure script
    - Release v1.0.17
  +  /Makefile.am
    - hgcompile -> gitcompile change
    - Improve configure for maemo plugin
  +  A52 Output plugin
    - Various plugins don't support "hint" sections
  +  Alsa support for Maemo SDK (n770)
    - Various plugins don't support "hint" sections
    - Fix close in maemo callback
  +  Jack PCM plugin
    - Various plugins don't support "hint" sections
  +  PulseAudio -> ALSA plugin
    - pulse - Fix useless assert
    - pulse - Remove another assert
    - Pulseaudio alsa configure hook
    - pulse - Change to hook load_if_running

Changelog between 1.0.15 and 1.0.16 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.15_v1.0.16)
(Reformated as ASCII text)
********************************************

* alsa-plugins
  +  PulseAudio -> ALSA plugin
    - PulseAudio plugin: report XRUN state back to application
    - Fix wrong assert in pulse plugin
    - Use different buffer metrics in the PulseAudio plugin
    - Fix unexpected assert with pulse plugin
    - pulse - Add minmax condition for period_bytes and periods

Changelog between 1.0.14 and 1.0.15 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.14_v1.0.15)
(Reformated as ASCII text)
********************************************

* alsa-plugins
  + A52 Output plugin
    - Add -no-undefined option to LDFLAGS
  + Alsa support for Maemo SDK (n770)
    - Add -no-undefined option to LDFLAGS
  + Jack PCM plugin
    - Add -no-undefined option to LDFLAGS
  + Public Parrot Hack rate converter
    - Disable direct sinc table
    - Update speex rate converter code
  + Rate Converter plugins
    - Fix the pop noise with samplerate plugin

Changelog between 1.0.14rc3 and 1.0.14 releases
http://www.alsa-project.org/changes/v1-0-14rc4--v1-0-14.txt)
********************************************

* alsa-plugins
  + Core
    - Fix plugindir config setting
    - Add plugin directory configure option
    - Enable link with external libspeex
  + /Makefile.am
    - Enable link with external libspeex
  + A52 Output plugin
    - Add plugin directory configure option
    - Fix segfault of a52 plugin
  + Jack PCM plugin
    - Add plugin directory configure option
  + Public Parrot Hack rate converter
    - Enable link with external libspeex

Changelog between 1.0.14rc2 and 1.0.14rc3 releases
http://www.alsa-project.org/changes/v1-0-14rc2--v1-0-14rc3.txt)
********************************************

* alsa-plugins
  + Documentation
    - Add documentation for speex rate plugin
  + Public Parrot Hack rate converter
    - Add missing files for pph
    - pph - do not include <samplerate.h> in rate_speexrate.c
    - Update version of speex resampler plugin
    - Add missing header files for pph
  + PulseAudio -> ALSA plugin
    - Improve parameter constraints in alsa-pulse
  + libavcodec's resampler
    - Add missing gcd.h to rate-lavc/Makefile.am

Changelog between 1.0.14rc2 and 1.0.14rc3 releases
http://www.alsa-project.org/changes/v1-0-14rc2--v1-0-14rc3.txt)
********************************************

* alsa-plugins
  + Core
    - Add rate resampler plugin based on speex
    - Add livavcodec resampler plugin
  + /Makefile.am
    - Add rate resampler plugin based on speex
    - Add livavcodec resampler plugin
  + Documentation
    - Add livavcodec resampler plugin
  + Public Parrot Hack rate converter
    - pph - do not include <samplerate.h> in rate_speexrate.c
    - Add rate resampler plugin based on speex
  + Rate Converter plugins
    - Fix wrong implementation of input/output_frames in samplerate plugin
  + libavcodec's resampler
    - Add livavcodec resampler plugin

Changelog between 1.0.14rc1 and 1.0.14rc2 releases
http://www.alsa-project.org/changes/v1-0-14rc1--v1-0-14rc2.txt)
********************************************
* alsa-plugins
  + /Makefile.am
    - compile maemo only if DBUS is present
  + Alsa support for Maemo SDK (n770)
    - release 1.0.14rc1

Changelog between 1.0.13 and 1.0.14rc1a releases
http://www.alsa-project.org/changes/v1-0-13--v1-0-14rc1.txt)
********************************************

* alsa-plugins
  + Core
    - Alsa support for Maemo SDK (n770): Build configuration
  + /Makefile.am
    - compile maemo only if DBUS is present
    - Alsa support for Maemo SDK (n770): Build configuration
  + Alsa support for Maemo SDK (n770)
    - Alsa support for Maemo SDK (n770): Header files
    - Alsa support for Maemo SDK (n770): DSP protocol
    - Alsa support for Maemo SDK (n770): External PCM IO plugin
    - Alsa support for Maemo SDK (n770): External Control plugin
    - Alsa support for Maemo SDK (n770): Build configuration
    - Alsa support for Maemo SDK (n770) - Remove compile warnings
  + Documentation
    - Alsa support for Maemo SDK (n770): Documentation

Changelog between 1.0.12 and 1.0.13 releases
http://www.alsa-project.org/changes/v1-0-12--v1-0-13.txt)
********************************************

* alsa-plugins
  + Core
    - release 1.0.12
  + PulseAudio -> ALSA plugin
    - Remove stray Polypaudio strings

Changelog between 1.0.11 and 1.0.12 releases
http://www.alsa-project.org/changes/v1-0-11--v1-0-12.txt)
********************************************

* alsa-plugins
  + Core
    - Add hgcompile script
    - Update Polypaudio plug-in to the 0.9.0 API
    - Fix capsed name in configure
    - Follow Polypaudio/PulseAudio name change
  + /Makefile.am
    - Add hgcompile script
    - Follow Polypaudio/PulseAudio name change
  + A52 Output plugin
    - a52 - Add slavepcm option
  + Documentation
    - Follow Polypaudio/PulseAudio name change
    - Add missing a52.txt
    - a52 - Add slavepcm option
  + Jack PCM plugin
    - Fix port names in jack plugin
  + Polyp -> ALSA plugin
    - Update Polypaudio plug-in to the 0.9.0 API
    - Follow Polypaudio/PulseAudio name change

Changelog between 1.0.10 and 1.0.11 releases
http://www.alsa-project.org/changes/v1-0-10--v1-0-11.txt)
********************************************

* alsa-plugins
  + Core
    - Add samplerate rate converter plugin
    - Add a52 output plugin
    - Structure reorganziation, added polyp plugin
    - Add upmix and vdownmix plugins
    - Change autoconf requirement to 2.59
    - Fixes for polyp plugin
  + /Makefile.am
    - Add samplerate rate converter plugin
    - Add a52 output plugin
    - Structure reorganziation, added polyp plugin
    - Add upmix and vdownmix plugins
  + /ctl/Makefile.am
    - Structure reorganziation, added polyp plugin
  + A52 Output plugin
    - a52 plugin - Fix iec958 frames for S16-BE
    - Add a52 output plugin
    - Fix XRUN detection in a52 plugin
    - Accept integer for card option
  + Automatic upmix / downmix plugins
    - Misc fixes for upmix plugin
    - Add upmix and vdownmix plugins
  + Documentation
    - Fix a typo
    - Add samplerate rate converter plugin
    - Misc fixes for upmix plugin
    - Add a52 output plugin
    - Update polyp plugin
    - Fix Makefile.am entry
    - Add upmix and vdownmix plugins
  + Jack PCM plugin
    - Allow concurrent runs with different names
    - Fix a compile warning
    - jack plugin closes stdin if jack is unavailable
  + OSS Mixer -> ALSA Control plugin
    - Fix misc compile warnings
    - Check the malloc error
    - Structure reorganziation, added polyp plugin
  + Polyp -> ALSA plugin
    - Fix handling of ctl elements
    - Update polyp plugin
    - Fixes for polyp plugin
    - Properly terminate stream in polypaudio plugin
    - Incorrect revents in polypaudio plugin
    - Make polypaudio plugin thread safe
  + Rate Converter plugins
    - Add samplerate rate converter plugin
